#!/usr/bin/env bash
set -eo pipefail
IFS=$'\n\t'

if [ -n "$(gofmt -l .)" ]; then
  echo "Failure! The following files need formatting with go fmt:"
  gofmt -l .
  exit 1
fi

echo "All go fmt checks passed!"